Holger's Java API

## com.antelmann.util
Class InconsistentContentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.util.InconsistentContentException

All Implemented Interfaces:
  Serializable

    public class InconsistentContentException

extends RuntimeException

indicates that some object is not in a consistent state

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`InconsistentContentException()`
`InconsistentContentException(Object content)`
`InconsistentContentException(String msg)`
`InconsistentContentException(String msg, Object content)`
`InconsistentContentException(String msg, Throwable cause)`
`InconsistentContentException(Throwable cause)`

Method Summary
`Object` `getContent()`
`void` `setContent(Object content)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InconsistentContentException

    public InconsistentContentException()

### InconsistentContentException

    public InconsistentContentException(Object content)

### InconsistentContentException

    public InconsistentContentException(String msg)

### InconsistentContentException

    public InconsistentContentException(String msg,
                                        Object content)

### InconsistentContentException

    public InconsistentContentException(Throwable cause)

### InconsistentContentException

    public InconsistentContentException(String msg,
                                        Throwable cause)

Method Detail

### setContent

    public void setContent(Object content)

### getContent

    public Object getContent()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads